local mod = RW:Boss("Firemaw", "Blackwing Lair")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_nefarion]]

---------------------------
-- Variables

-- Wing buffet
local wWingBuffet, tWingBuffetCD

local RoleBits = RW.Utils.Constants.RoleBits
---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		-- Register locale variables
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(11983)
	self:SetWin(11983)
	
	-- Wing buffet
	tWingBuffetCD		= self:CDTimer(30, 23339)
	wWingBuffet			= self:CastWarning(23339, nil, nil, RoleBits.TANK)
end

---------------------------
-- Locals

-- API Functions
function mod:OnEngage(trigger)
	self:Track("WingBuffet", 23339)
	
	RW.Callbacks:Fire("MPBSpellStackCombat", "FiremaxFlameBuffet", 23341, 50)	
end

function mod:WingBuffet(event, args)
	if event == "SPELL_CAST_START" then
		tWingBuffetCD:Start()
		wWingBuffet:Show()
	end
end